#pragma once

class ColliderComponent;
class Global : public a8::Singleton<Global>
{
 private:
    Global() {};
    friend class a8::Singleton<Global>;
 public:

    static int g_nowtime;
    static int g_time_zone; // 默认东八区
    static bool g_shutdown;
    static ColliderComponent* last_collider;
};

bool IsValidSlotId(int slot_id);
bool IsValidBuffEffect(int buff_effect);
bool IsValidHumanAttr(int attr_type);
std::string GetResDir();
