#pragma once

#include "entity.h"

namespace MetaData
{
    struct Player;
    struct Equip;
}

class Human;
class Smoke : public Entity
{
 public:
    MetaData::Equip* gun_meta = nullptr;
    MetaData::Equip* meta = nullptr;
    Human* player = nullptr;
    a8::Vec2 dir;
    a8::Vec2 born_pos;
    a8::Vec2 born_dir;

    Smoke();
    virtual ~Smoke() override;
    virtual void Initialize() override;
    virtual void Update(int delta_time) override;

};
