#include "precompile.h"

#include "cs_proto.pb.h"

#include "metamgr.h"

void Weapon::ToPB(cs::MFWeapon* pb_obj)
{
    pb_obj->set_weapon_id(weapon_id);
    pb_obj->set_weapon_lv(weapon_lv);
    pb_obj->set_ammo(ammo);
}

void Weapon::Recalc()
{
}

int Weapon::GetClipVolume()
{
    return meta->i->clip_volume();
}

void Tank::FromPB(const cs::MFSkin* pb_obj)
{
    tank_id = pb_obj->skin_id();
    tank_lv = pb_obj->skin_lv();
}

void Tank::ToPB(cs::MFSkin* pb_obj)
{
    pb_obj->set_skin_id(tank_id);
    pb_obj->set_skin_lv(tank_lv);
}

void TankSkin::FromPB(const cs::MFSkin* pb_obj)
{
    skin_id = pb_obj->skin_id();
    skin_lv = pb_obj->skin_lv();
}

void TankSkin::ToPB(cs::MFSkin* pb_obj)
{
    pb_obj->set_skin_id(skin_id);
    pb_obj->set_skin_lv(skin_lv);
}

void Driver::FromPB(const cs::MFDriver* pb_obj)
{
    driver_id = pb_obj->driver_id();
    driver_lv = pb_obj->driver_lv();
}
