#pragma once

#include "entity.h"

class Building;
class CircleCollider;
class AabbCollider;
class Human;
class Hero : public Entity
{
 public:

    a8::Vec2 move_dir;
    a8::Vec2 attack_dir;

    Human* master = nullptr;

    Tank skin;
    Weapon weapon;
    int energy_shield = 0;

    Hero();
    virtual ~Hero() override;
    virtual void Initialize() override;
    void RecalcSelfCollider();
    virtual void FillMFObjectPart(cs::MFObjectPart* part_data) override;
    virtual void FillMFObjectFull(cs::MFObjectFull* full_data) override;

private:
    CircleCollider* self_collider_ = nullptr;

};
